<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
 */
Route::get('/', 'IndexController@index')->name('index.index');
Route::get('articles/{article}', 'ArticleController@show')->name('article.show');
Route::get('search', 'ArticleController@search')->name('article.search');

Route::get('category/{category}', 'CategoryController@index')->name('category.show');

//以下为导入数据
Route::get('test/set_category', 'TestController@set_category');
Route::get('test/set_article', 'TestController@set_article');
Route::get('test/set_cate_article', 'TestController@setCateArticle');
Route::get('test/check_article', 'TestController@checkArticle');
Route::get('test/check_category', 'TestController@checkCategory');
